package jp.sourceforge.cfneo.at4ie.api;

import java.io.File;

/**
 * テストケースが記載されたファイルの抽象クラス。
 * @author imaitakafumi
 *
 */
public abstract class TestCaseFile extends File {

	private Context context;
	private int rowsCount;

	/**
	 * コンストラクタ。
	 * @param filepath
	 */
	public TestCaseFile(Context context, String filepath) {
		super(filepath);
		this.context = context;
	}

	/**
	 * 指定した行数目のテストケースを取得する。
	 * @param row
	 * @return
	 */
	abstract public TestCase getTestCase(int row);

	/**
	 * テストケースが記載されたファイルを解放。
	 */
	abstract public void destructor();

	protected void setRowsCount(int rowsCount) {
		this.rowsCount = rowsCount;
	}
	public int getRowsCount() {
		return this.rowsCount;
	}
	protected Context getContext() {
		return context;
	}
}
